<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Checkbox</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
    <script src="https://kit.fontawesome.com/edbf8ea42b.js" crossorigin="anonymous"></script>
    <link rel="manifest" href="manifest.json">
    <link rel="apple-touch-icon" href="">
</head>
<body class="bg-darker">

  <div class="card bg-dark m-3"> 

    <nav>
      <div class="nav nav-tabs" id="nav-tab" role="tablist">
        <a class="nav-item nav-link" id="nav-first-tab"  href="index.html">Fizz Buzz</a>
        <a class="nav-item nav-link active show" id="nav-second-tab" href="checkboxTest.html">Checkbox</a>
      </div>
    </nav>

    <div class="container">
      <div class="btn-group btn-block" role="group">
        <button type="button" class="btn btn-success btn-block mb-3 mt-3" onclick="addRow()">Add</button>
        <button type="button" class="btn btn-danger btn-block mb-3 mt-3" onclick="deleteRow()">Delete</button>
        <button type="button" class="btn btn-primary btn-block mb-3 mt-3" onclick="resetRows()">Reset</button>
      </div>

      <div class="table-responsive">
        <table class="table table-dark table-striped table-sm" id="checkboxTable">
          <thead class="thead-dark">
            <tr>
              <th scope="col" class="text-center"><input type="checkbox" id="headerCheckbox" onchange="checkAll(this)"></th>
              <th scope="col">First</th>
              <th scope="col">Last</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Charles</td>
              <td>Jones</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Aam</td>
              <td>Daws</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Robn</td>
              <td>Leis</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Barr</td>
              <td>Jacos</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Boja</td>
              <td>Nikola</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Anton</td>
              <td>Willi</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Danielle</td>
              <td>Wimot</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Imtia</td>
              <td>Cohan Nab</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Patrice</td>
              <td>O'Dono</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Sott</td>
              <td>Eans</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Lue</td>
              <td>Jeris</td>
            </tr>
            <tr>
              <td scope="row" class="text-center"><input type="checkbox" class="rowCheckbox"></td>
              <td>Kell</td>
              <td>Jons</td>
            </tr>


          </tbody>
        </table>
      </div>

    </div>
  </div>

  <script src="script.js"></script> 

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  <script src="bootstrap-input-spinner.js"></script>
  <script>$("input[type='number']").inputSpinner()</script>

</body>
</html>